[pacman-dev] [pacman] [PATCH] makepkg: remove makedepends before installing built package
arch at eckner.net
arch at eckner.net
Thu Sep 12 13:22:03 UTC 2019
From: Erich Eckner <git at eckner.net>
When running `makepkg -i` it may be necessary to first remove make- and
checkdepends before installing the built package - for example if they
conflict each other. This is the case for wireguard-arch which
makedepends and conflicts wireguard-dkms.
Signed-off-by: Erich Eckner <git at eckner.net>
---
scripts/makepkg.sh.in | 3 +++
1 file changed, 3 insertions(+)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 43484db3..25d97287 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -821,6 +821,9 @@ create_srcpackage() {
install_package() {
(( ! INSTALL )) && return 0
+ remove_deps || return $?
+ RMDEPS=0
+
if (( ! SPLITPKG )); then
msg "$(gettext "Installing package %s with %s...")" "$pkgname" "$PACMAN -U"
else
--
2.23.0
More information about the pacman-dev
mailing list